<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Nexpose|Import Nexpose Data">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to run a Nexpose scan using a custom scan template." /><title>Running a Nexpose Scan with a Custom Template</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#10-nexpose/running-nexpose-scan-custom-template.html">Open topic with navigation</a>
        </p>
        <h2>Running a Nexpose Scan with a Custom Template</h2>
        <p>To use a <a name="kanchor92"></a>custom scan template for a Nexpose scan, you must supply the scan template ID, not the scan template name. To identify the scan template ID, log into the Nexpose Security Console, select Administration &gt; Scan Templates, and choose the scan template that you want to use. 
</p>
        <p>When the Scan Template Configuration page displays, locate the URL address box at the top of the Nexpose Console. The URL address box displays the address and the template ID for the scan template. For example, in the following address, <code class="usertype">https://my.console.address:3780/admin/wizard/scan-template.html?templateid=dos-audit</code>, the template id is dos-audit. 
</p>
        <p>For more information on scan template IDs, visit the <a href="https://community.rapid7.com/docs/DOC-1387" target="_blank">Nexpose documentation</a>. </p>
        <ol>
            <li value="1">From within a project, click the <b class="UISelection">Analysis </b>tab.</li>
            <li value="2">Click <b class="UISelection">Nexpose </b>from the Quick Tasks menu.</li>
            <li value="3">Select a Nexpose Console. The list shows Nexpose consoles that you have added to the project.</li>
            <li value="4">Enter the addresses for the scan targets. You can specify an IP address or a host name. There can be one address on each line.</li>
            <li value="5">Click the <b class="UISelection">Scan Template</b> list. Choose <b class="UISelection">Custom</b>, which enables you to select a custom scan template.</li>
            <li value="6">Click <b class="UISelection">Show Advanced Options.</b></li>
            <li value="7">From the Advanced Nexpose Scan Settings area, enter the scan ID for the that you want to use in the<b class="UISelection"> Custom scan template name</b> field.</li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Scan template IDs cannot contain a hyphen. If the scan template ID contains a hyphen, replace the hyphen with an underscore. If the scan template ID changes, the Nexpose scan does not update the scan template ID. You must update the Nexpose scan to use the new scan template ID.</p>
        <ol data-mc-continue="true">
            <li value="8">Launch the Nexpose scan.</li>
        </ol>
    </body>
</html>